Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.tsp
Class TimeStampResponseGenerator

    java.lang.Object
      org.bouncycastle.tsp.TimeStampResponseGenerator

    public class TimeStampResponseGenerator

extends java.lang.Object

Generator for RFC 3161 Time Stamp Responses.

Constructor Summary
`TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator, java.util.Set acceptedAlgorithms)`
`TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator, java.util.Set acceptedAlgorithms, java.util.Set acceptedPolicy)`
`TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator, java.util.Set acceptedAlgorithms, java.util.Set acceptedPolicies, java.util.Set acceptedExtensions)`

Method Summary
`TimeStampResponse` `generate(TimeStampRequest request, java.math.BigInteger serialNumber, java.util.Date genTime, java.lang.String provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampResponseGenerator

    public TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator,
                                      java.util.Set acceptedAlgorithms)

### TimeStampResponseGenerator

    public TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator,
                                      java.util.Set acceptedAlgorithms,
                                      java.util.Set acceptedPolicy)

### TimeStampResponseGenerator

    public TimeStampResponseGenerator(TimeStampTokenGenerator tokenGenerator,
                                      java.util.Set acceptedAlgorithms,
                                      java.util.Set acceptedPolicies,
                                      java.util.Set acceptedExtensions)

Method Detail

### generate

    public TimeStampResponse generate(TimeStampRequest request,
                                      java.math.BigInteger serialNumber,
                                      java.util.Date genTime,
                                      java.lang.String provider)
                               throws java.security.NoSuchAlgorithmException,
                                      java.security.NoSuchProviderException,
                                      TSPException

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `TSPException`

Bouncy Castle Cryptography Library 1.45